Cross-site Request Forgery (CSRF)

Affecting thinkcmf/thinkcmf package, versions <5.1.1

Report new vulnerabilities
Do your applications use this vulnerable package? Test your applications

Overview

thinkcmf/thinkcmf is a ThinkCMF based on ThinkPHP 5.1 , it is a free and open source Content Management Framework(CMF).

Affected versions of this package are vulnerable to Cross-site Request Forgery (CSRF). With a crafted request it is possible to add an admin account.

Remediation

Upgrade thinkcmf/thinkcmf to version 5.1.1 or higher.

References

CVSS Score

4.2
medium severity
  • Attack Vector
    Network
  • Attack Complexity
    High
  • Privileges Required
    High
  • User Interaction
    Required
  • Scope
    Unchanged
  • Confidentiality
    None
  • Integrity
    High
  • Availability
    None
CVSS:3.1/AV:N/AC:H/PR:H/UI:R/S:U/C:N/I:H/A:N/E:P
Credit
Unknown
CVE
CVE-2020-18151
CWE
CWE-352
Snyk ID
SNYK-PHP-THINKCMFTHINKCMF-1317132
Disclosed
15 Jul, 2021
Published
15 Jul, 2021